<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/gzip.php";
require_once"../template/header.php";

if(isset($error) && $error!=""){

$hostname = gethostbyaddr($ip);

if ($error == '403'){
$write = '|403 - Недопустимый запрос документа |Файл: '.$request_uri.'|Время: '.date_fixed($sitetime, 'j.m.d / H:i').'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$username.'|';
$logdat = BASEDIR."local/datalog/error403.dat";
}

if ($error == '404'){
$write = '|404 - Документ по указанному URL не существует |Файл: '.$request_uri.'|Время: '.date_fixed($sitetime, 'j.m.d / H:i').'|IP: '.$ip.'|Хост: '.$hostname.'|Browser: '.$brow.'|Referer: '.$http_referer.'|Пользователь: '.$username.'|';
$logdat = BASEDIR."local/datalog/error404.dat";
}


if($write!=""){
$fp=fopen($logdat,"a+");
flock ($fp,LOCK_EX);
fputs($fp,"$write\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod ($logdat, 0666); 

$file=file($logdat); 
$i = count($file);
if ($i>=$config_maxlogdat) {
$fp=fopen($logdat,"w");
flock ($fp,LOCK_EX);
unset($file[0],$file[1]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}}

header ("Location: ".BASEDIR."index.php?isset=".$error."&".SID);

}else{

header ("Location: ".BASEDIR."index.php?isset=404&".SID);
}

exit;
?>